Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03543 Crash/Freeze Critical (emulation) Always Nov 21, 2009, 17:11 Jun 22, 2017, 14:55
Tester dyq View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver igs017.cpp
Version 0.135u1 Fixed in Version Build
Summary 03543: sdmg2: The sdmg2 crashes when pressing C button
Description The game crashes randomly with graphic chaos as shown in the pic, especially when you get in the game and press button C.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems sdmg2
Attached Files
png file icon 0058.png (21,784 bytes) Nov 21, 2009, 17:11
? file icon sdmg2.inp (174,811 bytes) Nov 22, 2009, 12:48
png file icon 0065.png (9,420 bytes) Nov 24, 2009, 16:41
? file icon sdmg22.inp (80,082 bytes) Nov 24, 2009, 16:59
Relationships
There are no relationsihp linked to this issue.
Notes
10
User avatar
No.05190
Tafoid
Administrator
Nov 21, 2009, 17:19
edited on: Nov 21, 2009, 17:20
I tried a couple times trying to crash using the C button with no success. Please create an .INP file which documents what you did to make the game crash. Try playing back locally to see if the game crashes consistently. If it does, please attach that file to the report.

Thank you.

mame sdmg2 -record sdmg2.inp
mame sdmg2 -playback sdmg2.inp


User avatar
No.05192
dyq
Tester
Nov 21, 2009, 17:37
Please try as the step: insert coins(button 5), then button 3 to bet, and start(button 1), into the game, press start to skip the tiles change, press N to get a tile, then C.
Actually the crash can happen anytime, but Button C is the nightmare for the player who tempt to throw the tile.
User avatar
No.05193
dyq
Tester
Nov 21, 2009, 18:44
This may due to the unoffically supported save and load and it hapens when I load the sav. But I failed to reproduce it when I normal start the game without loading. I will try to get an inp. file if I don't use loading.
User avatar
No.05194
etabeta
Developer
Nov 21, 2009, 23:29
this kind of problems might very well be due to use save/load functions on games which do not support save states.
there is a reason why MAME pops up a message stating that the driver does not support saving ;)
User avatar
No.05195
Tafoid
Administrator
Nov 22, 2009, 00:34
I agree. I'll give dyq some more hours to provide an INP without using any saves - otherwise it will be closed.
User avatar
No.05198
dyq
Tester
Nov 22, 2009, 12:54
I offer a reward to submit the bug inp on the EZ forum and got one. This time the game last for almost 9 mins, just after get into the 12ve game, the game crashed.
I use my mame32 135u1 to get it played back. Please check.
User avatar
No.05207
Tafoid
Administrator
Nov 23, 2009, 14:00
Confirmed with the input replay.
User avatar
No.05210
dyq
Tester
Nov 25, 2009, 03:49
Here I upload another inp and png to show a short time crash bug (5mins). The another strange thing happened is when the player got Ron and showed the unwanted pic as in the png0065.
User avatar
No.05211
Haze
Senior Tester
Nov 25, 2009, 07:58
Looks like your typical IGS 'protection failed' type crash. Luckily their pre-PGM games were generally easier to patch / figure out. I won't be looking at it myself, I'm just saying that it's not surprising that such a bug exists :-)
User avatar
No.13922
Fujix
Administrator
Jun 22, 2017, 14:55
I played this game through 10 matches and more and couldn't confirm the problem. Marking as fixed.